PDA

View Full Version : upgrade to PHP5



asenden
Jun 18, 2008, 05:50 PM
Hi All,

is there an easy way to upgrade to from PHP4 to PHP5 in Plesk ? I have read lots of Threads in this forum, but I can not get it work through apt-get. I am also worried to mess it up completly (I am kind of a Debian Newbie)

Actually I am trying to install MediaWiki as an Application through plesk and it tells me that PHP5 is mandatory to install it (would need PHP5 anyway).

Some information about the system:


CPU AuthenticAMD, AMD Opteron(tm) Processor 146
OS: Linux 2.6.14-2-k7-smp
Plesk Control Panel-Version psa v8.4.0_build84080515.15 os_Debian 3.1
current PHP Version: 4:4.3.10-22

source.list:

# main sources
deb http://autoinstall.plesk.com/debian/PSA_8.4.0 sarge all
deb http://debian.intergenia.de/debian/ sarge main contrib non-free
deb-src http://debian.intergenia.de/debian/ sarge main contrib non-free

# non-us

deb http://debian.intergenia.de/debian-non-US/ sarge/non-US main contrib non-free
deb-src http://debian.intergenia.de/debian-non-US/ sarge/non-US main contrib non-free

# security

deb http://debian.intergenia.de/debian-security/ sarge/updates main contrib non-free
deb-src http://debian.intergenia.de/debian-security/ sarge/updates main contrib non-free

I am happy about every hint
Thanks so much in advance

danliker
Jun 19, 2008, 03:33 AM
i recommend to update debian first, looks like you use debian sarge which is end of life.
after that php5 can be installed from the debian etch repository or some other repository if you like ...

sid61
Jul 8, 2008, 03:55 PM
Hi,
i read this here and i am interesting in howto upgrade from

PHP Version 4.4.4-8+etch6

to Php 5 with actual Plesk Version.

Is there a step by step docu or can you @danliker give me some hints, how to upgrade, without big serverproblems after upgrading ??

What does this meen - can i run after upgrading php4 and 5 ??

regards
sid61

danliker
Jul 8, 2008, 04:32 PM
i think in actual plesk versions with debian etch you can use the plesk installer to install php 5


it's a long time since i updated from php4 tp php5, as i remeber i used "apt-get install psa-php5-configurator", this works normaly without problems ...

sid61
Jul 8, 2008, 06:05 PM
I have upgrade this one, and it works with little Problems fine.

But now i have another Problem.

The PDO Driver gives me now this Error:

Fatal error: Uncaught exception 'PDOException' with message 'SQLSTATE[HY000]: General error: 2014 Cannot execute queries while other unbuffered queries are active. Consider using PDOStatement::fetchAll(). Alternatively, if your code is only ever going to run against mysql, you may enable query buffering by setting the PDO::MYSQL_ATTR_USE_BUFFERED_QUERY attribute.' in /var/www/vhosts/transflug.eu/httpdocs/map_data.php:68 Stack trace: #0 /var/www/vhosts/transflug.eu/httpdocs/map_data.php(68): PDO->prepare('SELECT * FROM d...') #1 {main} thrown in /var/www/vhosts/transflug.eu/httpdocs/map_data.php on line 68

On my local Testserver, it will run fine (The same one)...

I have read, that there is a Problem with some Mysql Versions.
So if i understand right, it must resolve the Problem with the transaction Handler ?!?!?

Is there anybody, what has the same one and solved ??

Is there some code to edit in php.ini or other ??

Thanks
Sid61